VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vapi::Std::Errors::Unauthenticated Class Reference
Inheritance diagram for Com::Vmware::Vapi::Std::Errors::Unauthenticated:

## Avaliable Methods
public method | new ()

## Detailed Description

The `Com::Vmware::Vapi::Std::Errors::Unauthenticated` error indicates that the method* requires authentication and the user is not authenticated.

API requests may include a security context containing user credentials. For example, the user credentials could be a SAML token, a user name and password, or the session identifier for a previously established session.

Examples:

- The SAML token in the request's security context has expired.
- The user name and password in the request's security context are invalid.
- The session identifier in the request's security context identifies a session that has expired.

Counterexamples:

- The user is authenticated but isn't authorized to perform the requested method* . The class Com::Vmware::Vapi::Std::Errors::Unauthorized error would be used instead.

For security reasons, the :attr:`Com::Vmware::Vapi::Std::Errors::Error.data` field* in this error is null , and the :attr:`Com::Vmware::Vapi::Std::Errors::Error.messages` field in this error does not disclose which part of the security context is correct or incorrect. For example the messages would not disclose whether a username or a password is valid or invalid, but only that a combination of username and password is invalid.

## Member Function Documentation

public method Com::Vmware::Vapi::Std::Errors::Unauthenticated::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vapi::Std::Errors::Unauthenticated structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 14
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->set_binding_class('binding_class' => 'Com::Vmware::Vapi::Std::Errors::Unauthenticated');
$self->set_binding_name('name' => 'com.vmware.vapi.std.errors.unauthenticated');
bless $self, $class;
return $self;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vapi/Std/Errors/Unauthenticated.pm